<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sclass.mapper.classroom.ClassroomPaperQtypeMapper">
    <!--保存答题卡题型-->
    <insert id="batchSave">
        insert into
        t_classroom_paper_qtype(pqtypeid,paperid,ctype,ctypename,pqorder,pqscore,pqnum,createid,createtime,schoolid)
        values
        <foreach collection="list" item="r" index="index" separator=",">
            (#{r.pqtypeid},#{r.paperid},#{r.ctype},#{r.ctypename},#{r.pqorder},#{r.pqscore},#{r.pqnum}
            ,#{r.createid},#{r.createtime},#{r.schoolid})
        </foreach>
    </insert>
</mapper>
